<?php

//incluimos los archivos necesarios para la instalacción.
include('../includes/conexion.php');
include('../includes/configuracion.php');
include_once ('../includes/pie.inc');

if (isset($_GET["pagina"])) {
    $page = $_GET["pagina"];
    if ($page == 1) { primera(); }
    elseif ($page == 2) { segunda(); }
    elseif ($page == 3) { tercera(); }
    elseif ($page == 4) { cuarta(); }
    else { dbconfig(); }
} else { dbconfig(); }

function dobatch ($p_query) {
  $query_split = preg_split ("/[;]+/", $p_query);
  foreach ($query_split as $command_line) {
   $command_line = trim($command_line);
   if ($command_line != '') {
     $query_result = mysql_query($command_line);
     if ($query_result == 0) {
       break;
     };
   };
  };
  return $query_result;
}
function dbconfig() {
if (isset($_POST[submit])) {
$miarchivo = "../includes/conexion.php";
$abrirarchivo = fopen($miarchivo, 'w');
$datos = "<?php // conexion.php :: Configuracion para el juego
        \$servidor='$_POST[servidor]';   // Servidor MySQL. (Default: localhost)
        \$usuario='$_POST[usuario]';           // Usuario MySQL.
        \$contrasenia='$_POST[contrasenia]';            // Contraseña MySQL.
        \$nombrebd='$_POST[nombrebd]';       // Nombre de Base de datos MySQL.

?>
";
fwrite($abrirarchivo, $datos);
echo '<META http-equiv="refresh" content="0;URL=instalar.php?pagina=1">';
} else {
echo '
<div class=contenido_instalar>
<html>
<head>
<title>Instalación de Gexal</title>
<link href="../estilo/css/gexal.css" rel=StyleSheet  type=text/css>
</head>
<body>
<b>Creación del archivo de conexión a la base de datos</b><br /><br />
<form action="instalar.php" method="post">
<table border="0">
  <tr>
    <td>Servidor MySQL:</td>
    <td><input type="text" name="servidor"></td>
  </tr>
  <tr>
    <td>Usuario:</td>
    <td><input type="text" name="usuario"></td>
  </tr>
  <tr>
    <td>Contraseña:</td>
    <td><input type="text" name="contrasenia"></td>
  </tr>
  <tr>
    <td>Nombre Base de Datos:</td>
    <td><input type="text" name="nombrebd"></td>
  </tr>
</table>
<input type="submit" name="submit" value="Enviar">
</form>
</body>
</html>
</div>
';
}
}
function primera() { // Primera Página
    
$page = <<<END
<div class=contenido_instalar>
<html>
<head>
<title>Instalación de Gexal</title>
<link href="../estilo/css/gexal.css" rel=StyleSheet  type=text/css>
</head>
<body>
<b>El archivo de conexión fue creado satisfactoriamente, pulse en siguiente para proceder a la creación de las tablas de la base de datos</b><br /><br />
<form action="instalar.php?pagina=2" method="post">
<input type="submit" name="complete" value="Instalar" />
</form>
</body>
</html>
</div>
END;
echo $page;
die();
  
}

function segunda() { // Segunda Página
//Invocacmos la funcion opendb
    $abrirbd = abrirdb();
    global $dbsettings;
    echo "<div class=contenido_instalar><html><head><title>Gexal</title><link href=../estilo/css/gexal.css rel=StyleSheet  type=text/css></head><body><b>Creación de las tablas</b><br /><br />";
	    if (isset($_POST["complete"])) { $full = true; } else { $full = false; }


$query = <<<END
CREATE TABLE IF NOT EXISTS `alumno` (
  `cod_alumno` int(5) NOT NULL AUTO_INCREMENT,
  `usuario` varchar(32) NOT NULL,
  `contrasenia` varchar(32) NOT NULL,
  `autorizacion` int(1) NOT NULL,
  `nombre` varchar(30) NOT NULL,
  `apellido1` varchar(30) NOT NULL,
  `apellido2` varchar(30) NOT NULL,
  `dni` varchar(10) NOT NULL,
  `direccion` varchar(80) NOT NULL,
  `telefono` int(9) NOT NULL,
  `cod_examen` int(5) NOT NULL,
  PRIMARY KEY (`cod_alumno`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
END;
if (dobatch($query) == 1) { echo "La tabla de alumnos fue creada con &eacute;xito<br />"; } else { echo "Error creando las tablas."; }
unset($query);
		
$query = <<<END
CREATE TABLE IF NOT EXISTS `evaluacion` (
  `nota` varchar(4) NOT NULL,
  `evaluacion` int(1) NOT NULL,
  `cod_alumno` int(5) NOT NULL,
  `cod_profesor` int(5) NOT NULL,
  `nom_asignatura` varchar(15) NOT NULL,
  PRIMARY KEY (`evaluacion`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
END;
if (dobatch($query) == 1) { echo "La tabla de evaluaci&oacute;n fue creada con &eacute;xito<br />"; } else { echo "Error creando las tablas."; }
unset($query);

$query = <<<END
CREATE TABLE IF NOT EXISTS `generar_examen` (
  `cod_examen` int(5) NOT NULL,
  `cod_pregunta` int(5) NOT NULL,
  `nom_asignatura` varchar(15) NOT NULL,
  `calificacion` varchar(5) NOT NULL,
  PRIMARY KEY (`cod_pregunta`,`cod_examen`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

END;
if (dobatch($query) == 1) { echo "La tabla de generar_examen fue creada con &eacute;xito<br />"; } else { echo "Error creando las tablas de generar_examen."; }
unset($query);

$query = <<<END
CREATE TABLE IF NOT EXISTS `examen` (
  `cod_alumno` int(5) NOT NULL,
  `cod_examen` int(5) NOT NULL,
  `cod_pregunta` int(5) NOT NULL,
  `respuesta_alumno` varchar(60) NOT NULL,
  `nom_asignatura` varchar(15) NOT NULL,
  `calificacion` decimal(5) NOT NULL,
  PRIMARY KEY (`cod_pregunta`,`cod_examen`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

END;
if (dobatch($query) == 1) { echo "La tabla de examen fue creada con &eacute;xito<br />"; } else { echo "Error creando las tablas de generar_examen."; }
unset($query);

$query = <<<END
CREATE TABLE IF NOT EXISTS `notas` (
  `cod_examen` int(5) NOT NULL,
  `cod_profesor` int(5) NOT NULL,
  `evaluacion` int(1) NOT NULL,
  `nota` varchar(4) NOT NULL,
  `nom_asignatura` varchar(15) NOT NULL,
  `cod_alumno` int(5) NOT NULL,
  PRIMARY KEY (`nota`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
END;
if (dobatch($query) == 1) { echo "La tabla de notas fue creada con &eacute;xito<br />"; } else { echo "Error creando las tablas de notas."; }
unset($query);

$query = <<<END
CREATE TABLE IF NOT EXISTS `preguntas` (
  `cod_pregunta` int(4) NOT NULL AUTO_INCREMENT,
  `cod_profesor` int(5) NOT NULL,
  `nom_asignatura` varchar(15) NOT NULL,
  `tipo_pregunta` varchar(15) NOT NULL,
  `respuesta_profesor` varchar(2) NOT NULL,
  `texto_pregunta` text NOT NULL,
  `posibles_respuestas` text NOT NULL,
  PRIMARY KEY (`cod_pregunta`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
END;

if (dobatch($query) == 1) { echo "La tabla de preguntas fue creada con &eacute;xito<br />"; } else { echo "Error al crear las tablas de preguntas."; }
unset($query);

$query = <<<END
CREATE TABLE IF NOT EXISTS `profesor` (
  `cod_profesor` int(5) NOT NULL AUTO_INCREMENT,
  `usuario` varchar(32) NOT NULL,
  `contrasenia` varchar(32) NOT NULL,
  `autorizacion` int(1) NOT NULL,
  `nombre` varchar(30) NOT NULL,
  `apellido1` varchar(30) NOT NULL,
  `apellido2` varchar(30) NOT NULL,
  `dni` varchar(10) NOT NULL,
  `direccion` varchar(80) NOT NULL,
  `telefono` int(9) NOT NULL,
  `contra_acceso` varchar(30) NOT NULL,
  PRIMARY KEY (`cod_profesor`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
END;

if (dobatch($query) == 1) { echo "La tabla de profesores fue creada con &eacute;xito<br />"; } else { echo "Error al crear las tabla de profesores."; }
unset($query);

$query = <<<END
CREATE TABLE IF NOT EXISTS `denegados` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `usuario` varchar(32) NOT NULL,
  `contrasenia` varchar(32) NOT NULL,
  `ip` varchar(32) NOT NULL,
  `tipo` varchar(8) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
END;

if (dobatch($query) == 1) { echo "La tabla de denegados fue creada con &eacute;xito<br />"; } else { echo "Error al crear las tabla de denegados."; }
unset($query);

    echo "<br /><a href=\"instalar.php?pagina=3\">Click aquí para continuar con la instalación.</a></body></html></div>";
    die();
    
}

function tercera() { // Tercera Página.
$page = <<<END
<div class=contenido_instalar>
<html>
<head>
<title>Creación del SuperAdmin</title>
<link href=../estilo/css/gexal.css rel=StyleSheet  type=text/css>
</head>
<body>
<b>Creación del SuperAdmin</b><br /><br />
<form action="instalar.php?pagina=4" method="post">
<table width="50%">
<tr><td width="20%" style="vertical-align:top;">Usuario:</td><td><input type="text" name="usuario" size="30" maxlength="30" /><br /><br /><br /></td></tr>
<tr><td style="vertical-align:top;">Contraseña:</td><td><input type="password" name="contrasenia1" size="30" maxlength="30" /></td></tr>
<tr><td style="vertical-align:top;">Verificar Contraseña:</td><td><input type="password" name="contrasenia2" size="30" maxlength="30" /><br /><br /><br /></td></tr>
<tr><td style="vertical-align:top;">DNI:</td><td><input type="text" name="dni" size="30" maxlength="10" /></td></tr>
<tr><td style="vertical-align:top;">Nombre:</td><td><input type="text" name="nombre" size="30" maxlength="30" /><br /><br /><br /></td></tr>
<tr><td style="vertical-align:top;">Primer apellido:</td><td><input type="text" name="apellido1" size="30" maxlength="30" /></td></tr>
<tr><td>Segundo Apellido:</td><td><input type="text" name="apellido2" size="30" maxlength="30" /></td></tr>
<tr><td>Direccion:</td><td><input type="text" name="direccion" size="30" maxlength="80" /></td></tr>
<tr><td style="vertical-align:top;">Telefono:</td><td><input type="text" name="telefono" size="30" maxlength="9" /><td></td></tr>
<tr><td style="vertical-align:top;">Contrase&ntilde;a de acceso:</td><td><input type="text" name="contra_acceso" size="30" maxlength="30" /><td> Esta contraseña te servira para que los demas profesores puedan registrarse y acceder a la aplicacion</td></tr>
<tr><td colspan="2"><input type="submit" name="submit" value="Enviar" /> <input type="reset" name="reset" value="Borrar" /></td></tr>
</table>
</form>
</body>
</html>
</div>
END;
echo $page;
die();

}

function cuarta() { // Cuarta Página
    $abrirdb = abrirdb();
    extract($_POST);
    if (!isset($usuario)) { die("Se requiere usuario."); }
    if (!isset($contrasenia1)) { die("Se requiere contraseña."); }
    if (!isset($contrasenia2)) { die("Se requiere verificar contraseña."); }
    if ($contrasenia1 != $contrasenia2) { die("Las contraseñas no concuerdan."); }
    if (!isset($dni)) { die("Se requiere el dni."); }
    if (!isset($nombre)) { die("Se requiere nombre."); }
    if (!isset($apellido1)) { die("Se requiere apellido1."); }
	if (!isset($apellido2)) { die("Se requiere apellido2."); }
	if (!isset($direccion)) { die("Se requiere dirección."); }
	if (!isset($telefono)) { die("Se requiere telefono."); }
	if (!isset($contra_acceso)) { die("Se requiere la contraseña de acceso"); }
    $contrasenia = md5($contrasenia1);
    
    global $dbsettings;
    $query = mysql_query("INSERT INTO profesor SET cod_profesor='1',usuario='$usuario',contrasenia='$contrasenia',dni='$dni',nombre='$nombre',apellido1='$apellido1',apellido2='$apellido2',direccion='$direccion',telefono='$telefono',autorizacion='2',contra_acceso='$contra_acceso'") or die(mysql_error());
	$profesorcontra=mysql_query("alter table profesor modify contra_acceso varchar(30) default '$contra_acceso'");
$page = <<<END
<div class=contenido_instalar>
<html>
<head>
<title>Cuenta creada satisfactoriamente</title>
<link href=../estilo/css/gexal.css rel=StyleSheet  type=text/css>
</head>
<body>
Tu cuenta ha sido creada satisfactoriamente. La instalación está completa.<br /><br />
Por favor, borre instalar.php para continuar.<br />
</body>
</html>
</div>
END;

    echo $page;
    die();

}
?>